<?php

/***************************************************************
*  Copyright notice
*  
*  (c) 2003 Boris Nicolai (boris.nicolai@andavida.com)
*  All rights reserved
*
*  This script is part of the Typo3 project. The Typo3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

require_once (PATH_tslib."class.tslib_pibase.php");
require_once (PATH_tslib."class.tslib_content.php");

class tx_spamshield_sessionsetter extends tslib_pibase {
    function main (&$params,&$that) {
		// pages that come out of the cache won't have a TS-Config with them. 
		// -> So don't even care and just set a cookie and session in case they are needed
		// ... if nc_staticfilecache is installed, no php will be called at all and no cookies will be set.
		# session + time stamp
		$GLOBALS['TSFE']->fe_user->setKey('ses','spamshield_tstamp',time());
		$GLOBALS['TSFE']->storeSessionData();
		
		# cookie + time stamp
		$myDomain = ereg_replace('^[^\.]*\.([^\.]*)\.(.*)$', '\1.\2', $_SERVER['HTTP_HOST']);
		$setDomain = ($_SERVER['HTTP_HOST']) != "localhost" ? ".$myDomain" : false;
		setcookie ("spamshield_tstamp", time(), time()+3600*24*(2), '/', "$setDomain", 0 );
	}
}


if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/spamshield/class.tx_spamshield_sessionsetter.php"]){
        include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/spamshield/class.tx_spamshield_sessionsetter.php"]);
}

?>
