<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

t3lib_extMgm::addPItoST43($_EXTKEY,'pi1/class.tx_spamshield_pi1.php','_pi1','list_type',1);


#####################################################
## Hook for HTML-form and page modification #########
#####################################################
// hook is called after Caching! 
// => for form modification on pages with COA_/USER_INT objects. 
$TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['contentPostProc-output'][] = 'EXT:spamshield/class.tx_spamshield_formmodifier.php:&tx_spamshield_formmodifier->intPages';
// hook is called before Caching!
// => for form modification on pages on their way in the cache.
$TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['contentPostProc-all'][] = 'EXT:spamshield/class.tx_spamshield_formmodifier.php:&tx_spamshield_formmodifier->noIntPages';
#####################################################

#####################################################
## Hook for setting Cookies and Sessions    #########
#####################################################
// hook is called after Caching! 
// => for setting cookies and sessions on all pages.
//    ... be aware that if a page comes out of the cache and has no COA_/USER_INT object:
//        - there will be no TS-Config
//    	  - the hook will be not called at all if nc_staticfilecache is installed
$TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['contentPostProc-output'][] = 'EXT:spamshield/class.tx_spamshield_sessionsetter.php:&tx_spamshield_sessionsetter->main';
#####################################################

#####################################################
## Hook for POST / GET variables checking     #######
#####################################################
// hook is called at the very beginning of a request.
$TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['checkDataSubmission'][] ='EXT:'.$_EXTKEY.'/class.tx_spamshield_varanalyzer.php:&tx_spamshield_varanalyzer';
#####################################################

?>
